diff -u -r ./burn_s4sk.sh Flash_Boot_OK/burn_s4sk.sh
--- ./burn_s4sk.sh	2023-08-02 02:54:47.887161810 +0900
+++ Flash_Boot_OK/burn_s4sk.sh	2023-08-02 02:53:54.678049600 +0900
@@ -1,21 +1,10 @@
 #!/bin/bash
 
-# Board ID: e.g 001117
-BOARD_ID=
 # Serial port: e.g. /dev/ttyUSB0
-USB_PORT=
+USB_PORT=/dev/ttyUSB0
 WORK_BASE=`pwd`
 IPL_PATH=${WORK_BASE}
 MOT_PATH=${WORK_BASE}
 
-# Change S4 to SCIF download mode (ICUMXA) and HSCIF0 (1843200 bd)
-./cpld-control-1.7.1 -w S4 $BOARD_ID 0x0008 0x00010081006120BE 0x0024 0x01
-
 # Flash IPL
-python3 ipl_burning.py s4 $USB_PORT $MOT_PATH $IPL_PATH all
-
-# Change S4 to SPI boot mode (ICUMXA) and HSCIF0 (1843200 bd)
-./cpld-control-1.7.1 -wnv S4 $BOARD_ID 0x0008 0x00010081006120A8 0x0024 0x01
-
-# Reboot board
-./cpld-control-1.7.1 -w S4 $BOARD_ID 0x0024 0x01
+python3 ipl_burning.py s4sk $USB_PORT $MOT_PATH $IPL_PATH all
diff -u -r ./ipl_burning.json Flash_Boot_OK/ipl_burning.json
--- ./ipl_burning.json	2023-08-02 02:54:47.887161810 +0900
+++ Flash_Boot_OK/ipl_burning.json	2023-08-02 02:53:54.678049600 +0900
@@ -14,7 +14,8 @@
         "h3_4x2":   "AArch64_Gen3_H3_M3_Scif_MiniMon_V3.03.mot",
         "m3ulcb":   "AArch32_Flash_writer_SCIF_DUMMY_CERT_E6300400_ULCB.mot",
         "h3ulcb":   "AArch32_Flash_writer_SCIF_DUMMY_CERT_E6300400_ULCB.mot",
-        "s4":       "ICUMX_Flash_writer_SCIF_DUMMY_CERT_EB203000_S4.mot"
+        "s4":       "ICUMX_Flash_writer_SCIF_DUMMY_CERT_EB203000_S4.mot",
+        "s4sk":     "ICUMX_Flash_writer_SCIF_DUMMY_CERT_EB203000_S4.mot"
     },
 
     "ipl": {
@@ -467,6 +468,58 @@
                 "flash_addr": "7C00",
                 "write_sel":  "eMMC"
             }
+        ],
+        "s4sk": [
+            {
+                "name":       "bootparam_sa0.srec",
+                "flash_addr": "0",
+                "write_sel":  "Flash"
+            },
+            {
+                "name":       "icumx_loader.srec",
+                "flash_addr": "40000",
+                "write_sel":  "Flash"
+            },
+            {
+                "name":       "cert_header_sa9.srec",
+                "flash_addr": "240000",
+                "write_sel":  "Flash"
+            },
+            {
+                "name":       "dummy_fw.srec",
+                "flash_addr": "280000",
+                "write_sel":  "Flash"
+            },
+            {
+                "name":       "App_CDD_ICCOM_S4_Sample_CR52.srec",
+                "flash_addr": "500000",
+                "write_sel":  "Flash"
+            },
+            {
+                "name":       "App_CDD_ICCOM_S4_Sample_G4MH.srec",
+                "flash_addr": "900000",
+                "write_sel":  "Flash"
+            },
+            {
+                "name":       "dummy_icumh_case1.srec",
+                "flash_addr": "380000",
+                "write_sel":  "Flash"
+            },
+            {
+                "name":       "bl31-s4sk.srec",
+                "flash_addr": "E00000",
+                "write_sel":  "Flash"
+            },
+            {
+                "name":       "tee-s4sk.srec",
+                "flash_addr": "E80000",
+                "write_sel":  "Flash"
+            },
+            {
+                "name":       "u-boot-elf-s4sk.srec",
+                "flash_addr": "F80000",
+                "write_sel":  "Flash"
+            }
         ]
     }
 }
diff -u -r ./ipl_burning.py Flash_Boot_OK/ipl_burning.py
--- ./ipl_burning.py	2023-08-02 02:54:47.887161810 +0900
+++ Flash_Boot_OK/ipl_burning.py	2023-08-02 02:53:54.682049684 +0900
@@ -138,7 +138,7 @@
 def flash_burn_file(dev, index, ipl_path, soc, ipl_config, img_addr, flash_addr):
     dev.sendln()
     dev.wait(">", 0.2, "xls2")
-    if soc in ["v3u", "s4"]:
+    if soc in ["v3u", "s4", "s4sk"]:
         dev.wait("Select (1-3)>", 0.1, "1")
     else:
         dev.wait("Select (1-3)>", 0.1, "3")
@@ -278,10 +278,14 @@
     elif SOC == "s4":
         IPL_SHORTEN_OPTION = ["param", "icumxa", "cert9", "fw", "rtos", "ca55", "g4mh", "icumh",
                               "smoni", "tee", "uboot"]
+    elif SOC == "s4sk":
+        IPL_SHORTEN_OPTION = ["param", "icumxa", "cert9", "fw", "rtos", "g4mh", "icumh",
+                              "smoni", "tee", "uboot"]
     else:
         IPL_SHORTEN_OPTION = ["param", "bl2", "cert6", "bl31", "tee", "uboot"]
 
     OPTION = sys.argv[5:]
+    FILE_INFO_INDEX = []
     FILE_IPL_WILL_BURN = []
     IMGADR_WILL_BURN = []
     FLASHADR_WILL_BURN = []
@@ -303,6 +307,7 @@
             IMGADR_WILL_BURN.append(get_imgaddr(IPL_DIR + "/" + ipl_config["ipl"][SOC][i]["name"]))
             FLASHADR_WILL_BURN.append(ipl_config["ipl"][SOC][i]["flash_addr"])
             WRITESEL_WILL_USE.append(ipl_config["ipl"][SOC][i]["write_sel"])
+            FILE_INFO_INDEX.append(i)
 
     if ret == 1:
         exit(1)
@@ -318,6 +323,8 @@
     # Serial config
     if SOC == "s4":
         BAUDRATE = 1843200
+    elif SOC == "s4sk":
+        BAUDRATE = 921600
     else:
         BAUDRATE = 115200
     test_dev = Serial_conn(
@@ -337,7 +344,7 @@
     sys.stdout.flush()
     test_dev.wait(">", 0.2, "\r")
 
-    if SOC != "s4":
+    if SOC != "s4" and SOC != "s4sk":
         test_dev.wait(">", 0.2, "sup")
         ex_list = [
             "Please change to 921.6Kbps baud rate setting of the terminal.",
@@ -362,9 +369,9 @@
 
     for i in range(len(FILE_IPL_WILL_BURN)):
         if WRITESEL_WILL_USE[i] in ["eMMC"]:
-            eMMC_burn_file(test_dev, i, IPL_DIR, SOC, ipl_config, IMGADR_WILL_BURN[i], FLASHADR_WILL_BURN[i])
+            eMMC_burn_file(test_dev, FILE_INFO_INDEX[i], IPL_DIR, SOC, ipl_config, IMGADR_WILL_BURN[i], FLASHADR_WILL_BURN[i])
         else:
-            flash_burn_file(test_dev, i, IPL_DIR, SOC, ipl_config, IMGADR_WILL_BURN[i], FLASHADR_WILL_BURN[i])
+            flash_burn_file(test_dev, FILE_INFO_INDEX[i], IPL_DIR, SOC, ipl_config, IMGADR_WILL_BURN[i], FLASHADR_WILL_BURN[i])
 
     test_dev.wait(">", 1)
     print_debug("INFO", "Download file .srec done")
